%bcond_without test

Summary:        Multi-container orchestration for Docker
Name:           docker-compose
Version:        1.29.2
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://github.com/docker/compose
Source0:        %{pypi_source}

Patch3000:      pytest-7.2-compatibility.patch

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-distro
BuildRequires:  python%{python3_pkgversion}-dotenv
BuildRequires:  python%{python3_pkgversion}-ddt
BuildRequires:  python%{python3_pkgversion}-cached_property >= 1.5.1
BuildRequires:  python%{python3_pkgversion}-chardet >= 3.0.4
BuildRequires:  python%{python3_pkgversion}-distro >= 1.5.0
BuildRequires:  python%{python3_pkgversion}-docker >= 5.0.0
BuildRequires:  python%{python3_pkgversion}-docker-pycreds >= 0.4.0
BuildRequires:  python%{python3_pkgversion}-dockerpty >= 0.4.1
BuildRequires:  python%{python3_pkgversion}-docopt >= 0.6.2
BuildRequires:  python%{python3_pkgversion}-idna >= 2.10
BuildRequires:  python%{python3_pkgversion}-jsonschema >= 3.2.0
BuildRequires:  python%{python3_pkgversion}-pysocks >= 1.7.1
BuildRequires:  python%{python3_pkgversion}-requests >= 2.24.0
BuildRequires:  python%{python3_pkgversion}-six >= 1.12.0
BuildRequires:  python%{python3_pkgversion}-texttable >= 1.6.2
BuildRequires:  python%{python3_pkgversion}-websocket-client >= 0.57.0
BuildRequires:  python%{python3_pkgversion}-yaml >= 5.4.1

Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-cached_property >= 1.5.1
Requires:       python%{python3_pkgversion}-chardet >= 3.0.4
Requires:       python%{python3_pkgversion}-distro >= 1.5.0
Requires:       python%{python3_pkgversion}-docker >= 5.0.0
Requires:       python%{python3_pkgversion}-docker-pycreds >= 0.4.0
Requires:       python%{python3_pkgversion}-dockerpty >= 0.4.1
Requires:       python%{python3_pkgversion}-docopt >= 0.6.2
Requires:       python%{python3_pkgversion}-idna >= 2.10
Requires:       python%{python3_pkgversion}-jsonschema >= 3.2.0
Requires:       python%{python3_pkgversion}-pysocks >= 1.7.1
Requires:       python%{python3_pkgversion}-requests >= 2.24.0
Requires:       python%{python3_pkgversion}-six >= 1.12.0
Requires:       python%{python3_pkgversion}-texttable >= 1.6.2
Requires:       python%{python3_pkgversion}-websocket-client >= 0.57.0
Requires:       python%{python3_pkgversion}-yaml >= 5.4.1
Requires:       python%{python3_pkgversion}-attrs >= 20.3.0
Requires:       python%{python3_pkgversion}-certifi >= 2020.6.20


%description
Docker Compose is a tool for running multi-container applications
on Docker defined using the Compose file format. A Compose file is
used to define how one or more containers that make up your application
are configured. Once you have a Compose file, you can create and start
your application with a single command: docker compose up.


%prep
%autosetup -p1
rm -rf docker_compose.egg-info

sed -e 's/, < [0-9.]\+//' -i setup.py


%build
%py3_build


%install
%py3_install

install -D -pm644 contrib/completion/bash/docker-compose %{buildroot}%{_datadir}/bash-completion/completions/docker-compose
install -D -pm644 contrib/completion/zsh/_docker-compose %{buildroot}%{_datadir}/zsh/site-functions/_docker-compose
install -D -pm644 contrib/completion/fish/docker-compose.fish %{buildroot}%{_datadir}/fish/vendor_completions.d/docker-compose.fish

%if %{with test}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} pytest-%{python3_version} --verbose tests/unit
%endif

%files
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/%{name}
%{python3_sitelib}/compose
%{python3_sitelib}/docker_compose-%{version}-py%{python3_version}.egg-info
%{_datadir}/bash-completion
%{_datadir}/zsh
%{_datadir}/fish


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.29.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 cunshunxia <cunshunxia@tencent.com> - 1.29.2-1
- initial build
